﻿namespace Sharing.Share.Dtos.DataSharing.Province
{
    /// <summary>
    /// 上报工单处理结果/退回
    /// </summary>
    public class ReultSendDto
    {
        /// <summary>
        /// 服务工单编号  
        /// </summary>
        public string CaseSerial { get; set; }

        /// <summary>
        /// 答复单位
        /// </summary>
        public string DeptName { get; set; }

        /// <summary>
        /// 答复时间
        /// </summary>
        public DateTime? FinishTime { get; set; }

        /// <summary>
        /// 答复人员
        /// </summary>
        public string FinishName { get; set; }

        /// <summary>
        /// 办理情况
        /// </summary>
        public string FinishNote { get; set; }

        /// <summary>
        /// 办理操作
        /// </summary>
        public string FinishType { get; set; }

        /// <summary>
        /// 办理单位
        /// </summary>
        public string EndDept { get; set; }

        /// <summary>
        /// 办理人员
        /// </summary>
        public string EndName { get; set; }

        /// <summary>
        /// 联系时间
        /// </summary>
        public DateTime? ConcactTime { get; set; }

        /// <summary>
        /// 联系方式
        /// </summary>
        public string ConcactType { get; set; }

        /// <summary>
        /// 签收时间
        /// </summary>
        public DateTime? SignTime { get; set; }

        /// <summary>
        /// 反馈时间
        /// </summary>
        public DateTime? FdBackTime { get; set; }

        /// <summary>
        /// 交办时间
        /// </summary>
        public DateTime? SendTime { get; set; }

        /// <summary>
        /// 反馈意见
        /// </summary>
        public string FdBack { get; set; }

        /// <summary>
        /// 办理时长
        /// </summary>
        public decimal? HandletimeLong { get; set; }

        /// <summary>
        /// 任务单关联 guid
        /// </summary>
        public string TrowGuid { get; set; }

        /// <summary>
        /// 退回类型
        /// </summary>
        public string BackType { get; set; }

        /// <summary>
        /// 材料标识
        /// </summary>
        public List<string> CliengGuid { get; set; }
    }
}
